<?php

namespace Drupal\cache_entity_type\Entity\Annotation;

use Drupal\Core\Entity\Annotation\EntityType;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Defines a cache entity type annotation object.
 *
 * @ingroup entity_api
 *
 * @Annotation
 */
class CacheEntityType extends EntityType {

  // phpcs:disable
  /**
   * {@inheritdoc}
   */
  public $entity_type_class = 'Drupal\cache_entity_type\Entity\CacheEntityType';
  // phpcs:enable

  /**
   * {@inheritdoc}
   */
  public $group = 'cache_entity';

  /**
   * {@inheritdoc}
   *
   * @phpstan-ignore-next-line
   */
  public function get() {
    $this->definition['group_label'] = new TranslatableMarkup('Cache entity', [], ['context' => 'Entity type group']);

    return parent::get();
  }

}
